This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1290844 - [Debian] provide libvirt >= 1.2.17 for vdsm >= 4.17.13
[Debian] provide libvirt >= 1.2.17 for vdsm >= 4.17.13
Status: NEW
Product: ovirt-distribution
Classification: oVirt
Component: General (Show other bugs)
4.1.0
Unspecified Unspecified
unspecified Severity low (vote)
: ovirt-4.2.0
: ---
Assigned To: Milan Zamazal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-11 10:43 EST by Sandro Bonazzola
Modified: 2016-12-28 10:37 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: External
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.2?
sbonazzo: planning_ack?
sbonazzo: devel_ack?
sbonazzo: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Sandro Bonazzola 2015-12-11 10:43:43 EST
Description of problem:
Debian Jessie currently has libvirt 1.2.9.
In order to have memory hotplug working we need a newer version.
Comment 1 Sandro Bonazzola 2016-03-11 03:23:01 EST
Moving to Milan since he's porting vdsm to Debian
Comment 2 Milan Zamazal 2016-03-11 10:22:19 EST
The best way to handle this would be to coordinate with Debian Libvirt Maintainers to make an official jessie backport of libvirt.  Let's see whether the overall jessie backport is worth the effort (i.e. whether there's a real demand for that from users) after I finish the Vdsm packaging for unstable.
Comment 3 Yaniv Kaul 2016-05-04 14:05:52 EDT
Moving to 4.0, though I suggest closing if not handled.
Comment 4 Yaniv Lavi (Dary) 2016-05-23 09:14:03 EDT
oVirt 4.0 beta has been released, moving to RC milestone.
Comment 5 Yaniv Kaul 2016-11-21 05:34:10 EST
Do we want to keep monitoring our Debian support here, or switch to some other (Debian related) bug database?
Are we ever going to handle this, or should I CLOSE-DEFERRED this?
Comment 6 Milan Zamazal 2016-11-21 09:31:01 EST
I don't think it makes sense tracking Debian packaging here. We have removed Debian packaging from Vdsm since it was completely broken. It's better to track the Debian packaging effort directly in Debian and/or on ovirt-devel mailing list. The intent-to-package bug for Vdsm in Debian is https://bugs.debian.org/668538, this is what we start with. If we manage to make a working Vdsm Debian package, its bugs should be reported to Debian BTS. So I'd suggest closing the Debian packaging bugs in Vdsm Bugzilla.

Note You need to log in before you can comment on or make changes to this bug.